function init(hero) {
    hero.setName("Mister Freeze/Victor Fries");
    hero.setTier(2);

    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:cold_gun", true);

    hero.addPowers("tgheroes:freeze");
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);

    hero.addKeyBind("AIM", "key.aim", -1);
	hero.addKeyBind("UTILITY_BELT", "Freeze Grenade", 2);

    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);

    hero.addSoundEvent("AIM_START", ["fiskheroes:cold_gun_aim", "fiskheroes:cold_gun_static"]);
}

function hasPermission(entity, permission) {
    return permission == "USE_COLD_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:cold_gun";
}
